# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "nibble-rs"
version = "0.0.4"
authors = ["Vaishnav-Sabari-Girish forgamesonly684@gmail.com"]
build = false
include = [
    "src/*",
    "Cargo.toml",
    "README.md",
    "LICENSE*",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A tool for glamorous shell scripts. Quick, inline TUI components built with Ratatui—no full-screen takeover, just small bites of interaction. "
readme = "README.md"
keywords = [
    "tui",
    "ratatui",
]
categories = [
    "command-line-utilities",
    "text-processing",
    "development-tools",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/Vaishnav-Sabari-Girish/nibble"

[[bin]]
name = "nibble"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.100"

[dependencies.clap]
version = "4.5.53"
features = ["derive"]

[dependencies.crossterm]
version = "0.29.0"

[dependencies.ratatui]
version = "0.29.0"

[dependencies.serde_json]
version = "1.0.145"

[dependencies.thiserror]
version = "2.0.17"

[dependencies.tui-input]
version = "0.14.0"
